import matplotlib.pyplot as plt
import numpy as np
import mdt


data = mdt.dataRead(amplitude = 10, samplingRate = 24000, duration =2, channels = [0,1], resolution = 14, outType = 'Volt',
                    continues = False)

plt.plot(data[0], label='Spannung')
plt.plot(data[1], label='Strom')

print(data)

plt.legend()


# 5.4.1
# np.save('5.4.1_glueh.npy', data)
# np.save('5.4.1_LED.npy', data)
# np.save('5.4.1_Leuchtstoffroehre.npy', data)


# 5.4.3
# np.save('5.4.3_Leuchtstoffroehre.npy', data)